Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 598232 - Using $PV in $SLOT breaks >=version dependencies
Summary: Using $PV in $SLOT breaks >=version dependencies
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-27 10:56 UTC by Nolan Eakins
Modified: 2016-11-01 17:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge -pv -uD --newuse --backtrack=30 world (emerge.txt,210 bytes, text/plain)
2016-10-27 17:36 UTC, Nolan Eakins
Details
emerge -uDpv net-wireless/gnuradio (emerge_gnuradio.txt,23.67 KB, text/plain)
2016-10-27 18:03 UTC, Nolan Eakins
Details
emerge -uDpv net-wireless/gr-iqbal (emerge_gr-iqbal.txt,22.89 KB, text/plain)
2016-10-27 18:05 UTC, Nolan Eakins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nolan Eakins 2016-10-27 10:56:19 UTC
I have a list of quite a few conflicts, mostly slot conflicts of some kind. I noticed this. It took me a while to notice the problem, because my eyes usually glaze over looking at these messages. Basically what I said in the subject: using $PV in $SLOT breaks dependencies on >=version, though maybe "~version" would be better? If you want, I can upload a grep of the Portage tree looking for /SLOT=.*PV/

<pre>
app-emulation/libvirt:0

  (app-emulation/libvirt-2.1.0-r2:0/2.1.0::gentoo, ebuild scheduled for merge) pulled in by
    app-emulation/libvirt (Argument)

  (app-emulation/libvirt-1.3.5-r2:0/1.3.5::gentoo, installed) pulled in by
    >=app-emulation/libvirt-1.2.6:0/1.3.5= required by (app-emulation/libvirt-glib-0.2.3:0/0::gentoo, installed)
                                 ^^^^^^^^^
    app-emulation/libvirt:0/1.3.5 required by (dev-python/libvirt-python-1.3.5:0/0::gentoo, installed)
                         ^^^^^^^^

net-wireless/gnuradio:0

  (net-wireless/gnuradio-3.7.10.1:0/3.7.10.1::gentoo, ebuild scheduled for merge) pulled in by
    net-wireless/gnuradio (Argument)

  (net-wireless/gnuradio-3.7.10:0/3.7.10::gentoo, installed) pulled in by
    
>=net-wireless/gnuradio-3.7_rc:0/3.7.10=[python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),python_single_target_python2_7(+)] 
required by (net-wireless/gr-iqbal-0.37.2:0/0.37.2::gentoo, installed)
                                  ^^^^^^^^^^  
</pre>
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2016-10-27 13:10:44 UTC
This has nothing to do with SLOTs but the sub-slot which is meant to rebuild packages.  However for these rebuilds to occur, the packages for rebuild must be considered in the dependency graph.

(In reply to Nolan Eakins from comment #0)
> I have a list of quite a few conflicts, mostly slot conflicts of some kind.
> I noticed this. It took me a while to notice the problem, because my eyes
> usually glaze over looking at these messages. Basically what I said in the
> subject: using $PV in $SLOT breaks dependencies on >=version, though maybe
> "~version" would be better? If you want, I can upload a grep of the Portage
> tree looking for /SLOT=.*PV/
> 
> <pre>
> app-emulation/libvirt:0
> 
>   (app-emulation/libvirt-2.1.0-r2:0/2.1.0::gentoo, ebuild scheduled for
> merge) pulled in by
>     app-emulation/libvirt (Argument)
> 
>   (app-emulation/libvirt-1.3.5-r2:0/1.3.5::gentoo, installed) pulled in by
>     >=app-emulation/libvirt-1.2.6:0/1.3.5= required by
> (app-emulation/libvirt-glib-0.2.3:0/0::gentoo, installed)
>                                  ^^^^^^^^^
>     app-emulation/libvirt:0/1.3.5 required by
> (dev-python/libvirt-python-1.3.5:0/0::gentoo, installed)
>                          ^^^^^^^^

This is 'emerge app-emulation/libvirt'  app-emulation/libvirt-glib and app-emulation/libvirt-python are never considered;
'emerge app-emulation/libvirt app-emulation/libvirt-glib app-emulation/libvirt-python' would give different results.  As would 'emerge -avuDN @world' if app-emulation/libvirt was scheduled for an upgrade.

> 
> net-wireless/gnuradio:0
> 
>   (net-wireless/gnuradio-3.7.10.1:0/3.7.10.1::gentoo, ebuild scheduled for
> merge) pulled in by
>     net-wireless/gnuradio (Argument)
> 
>   (net-wireless/gnuradio-3.7.10:0/3.7.10::gentoo, installed) pulled in by
>     
> >=net-wireless/gnuradio-3.7_rc:0/3.7.10=[python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),python_single_target_python2_7(+)] 
> required by (net-wireless/gr-iqbal-0.37.2:0/0.37.2::gentoo, installed)
>                                   ^^^^^^^^^^  

This is 'net-wireless/gnuradio'  gr-iqbal is never considered;
'emerge net-wireless/gnuradio net-wireless/gr-iqbal' would give different results.  As would 'emerge -avuDN @world' if net-wireless/gnuradio was scheduled for an upgrade.
Comment 2 Nolan Eakins 2016-10-27 17:36:20 UTC
Created attachment 451650 [details]
emerge -pv -uD --newuse --backtrack=30 world

Here's my emerge world log.
Comment 3 Nolan Eakins 2016-10-27 18:03:03 UTC
Created attachment 451658 [details]
emerge -uDpv net-wireless/gnuradio

Log for `emerge -uDpv net-wirelsess/gnuradio`

And the stuff 2>&1 did not capture:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/gmp:0

  (dev-libs/gmp-6.1.0:0/10.4::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/gmp-6.0.0a:0/0::gentoo, installed) pulled in by
    dev-libs/gmp:0/0= required by (dev-python/pycrypto-2.6.1:0/0::gentoo, installed)
                ^^^^^
    (and 1 more with the same problem)

dev-lang/perl:0

  (dev-lang/perl-5.22.2:0/5.22::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.22* required by (virtual/perl-Scalar-List-Utils-1.410.0:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^
    (and 14 more with the same problem)

  (dev-lang/perl-5.20.2:0/5.20::gentoo, installed) pulled in by
    dev-lang/perl:0/5.20=[-build(-)] required by (dev-perl/Text-CSV_XS-0.950.0:0/0::gentoo, installed)
                 ^^^^^^^^
    =dev-lang/perl-5.20* required by (virtual/perl-Getopt-Long-2.420.0-r1:0/0::gentoo, installed)
    ^              ^^^^^
    (and 89 more with the same problems)

x11-base/xorg-server:0

  (x11-base/xorg-server-1.17.4:0/1.17.4::gentoo, installed) pulled in by
    <=x11-base/xorg-server-1.17.49[-minimal] required by (x11-drivers/ati-drivers-15.12-r1:1/1::gentoo, ebuild scheduled for merge)
    ^^                     ^^^^^^^
    x11-base/xorg-server:0/1.17.4= required by (x11-drivers/xf86-input-mouse-1.9.1:0/0::gentoo, installed)
                        ^^^^^^^^^^
    (and 17 more with the same problems)

  (x11-base/xorg-server-1.18.4:0/1.18.4::gentoo, ebuild scheduled for merge) pulled in by
    >=x11-base/xorg-server-1.18[udev] required by (x11-drivers/xf86-input-evdev-2.10.3:0/0::gentoo, ebuild scheduled for merge)
    ^^                     ^^^^

x11-libs/libxcb:0

  (x11-libs/libxcb-1.12:0/1.12::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/libxcb-1.11.1:0/1.11.1::gentoo, installed) pulled in by
    >=x11-libs/libxcb-1.9.1:0/1.11.1=[abi_x86_32(-),abi_x86_64(-)] required by (x11-libs/xcb-util-0.4.0:0/0::gentoo, installed)
                           ^^^^^^^^^^
    (and 5 more with the same problem)

net-wireless/gnuradio:0

  (net-wireless/gnuradio-3.7.10.1:0/3.7.10.1::gentoo, ebuild scheduled for merge) pulled in by
    net-wireless/gnuradio (Argument)

  (net-wireless/gnuradio-3.7.10:0/3.7.10::gentoo, installed) pulled in by
    >=net-wireless/gnuradio-3.7_rc:0/3.7.10=[python_targets_python2_7(-),-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),python_single_target_python2_7(+)] required by (net-wireless/gr-iqbal-0.37.2:0/0.37.2::gentoo, installed)
                                  ^^^^^^^^^^                                                                                                                                                                                                                                                                                                      
    (and 2 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Comment 4 Nolan Eakins 2016-10-27 18:05:34 UTC
Created attachment 451660 [details]
emerge -uDpv net-wireless/gr-iqbal

TTY output, hope I clipping these right. Ignore the libav/ffmpeg stuff. Switching back to ffmpeg because of qtwebengine.

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/perl:0

  (dev-lang/perl-5.22.2:0/5.22::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.22* required by (virtual/perl-Scalar-List-Utils-1.410.0:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^
    (and 14 more with the same problem)

  (dev-lang/perl-5.20.2:0/5.20::gentoo, installed) pulled in by
    dev-lang/perl:0/5.20=[-build(-)] required by (dev-perl/Text-CSV_XS-0.950.0:0/0::gentoo, installed)
                 ^^^^^^^^
    =dev-lang/perl-5.20* required by (virtual/perl-Getopt-Long-2.420.0-r1:0/0::gentoo, installed)
    ^              ^^^^^
    (and 89 more with the same problems)

dev-libs/gmp:0

  (dev-libs/gmp-6.1.0:0/10.4::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/gmp-6.0.0a:0/0::gentoo, installed) pulled in by
    dev-libs/gmp:0/0= required by (dev-python/pycrypto-2.6.1:0/0::gentoo, installed)
                ^^^^^
    (and 1 more with the same problem)

x11-base/xorg-server:0

  (x11-base/xorg-server-1.17.4:0/1.17.4::gentoo, installed) pulled in by
    <=x11-base/xorg-server-1.17.49[-minimal] required by (x11-drivers/ati-drivers-15.12-r1:1/1::gentoo, ebuild scheduled for merge)
    ^^                     ^^^^^^^
    x11-base/xorg-server:0/1.17.4= required by (x11-drivers/xf86-input-mouse-1.9.1:0/0::gentoo, installed)
                        ^^^^^^^^^^
    (and 17 more with the same problems)

  (x11-base/xorg-server-1.18.4:0/1.18.4::gentoo, ebuild scheduled for merge) pulled in by
    >=x11-base/xorg-server-1.18[udev] required by (x11-drivers/xf86-input-evdev-2.10.3:0/0::gentoo, ebuild scheduled for merge)
    ^^                     ^^^^

x11-libs/libxcb:0

  (x11-libs/libxcb-1.12:0/1.12::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/libxcb-1.11.1:0/1.11.1::gentoo, installed) pulled in by
    >=x11-libs/libxcb-1.9.1:0/1.11.1=[abi_x86_32(-),abi_x86_64(-)] required by (x11-libs/xcb-util-0.4.0:0/0::gentoo, installed)
                           ^^^^^^^^^^
    (and 5 more with the same problem)

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-11.3:0/11::gentoo, installed) pulled in by
    >=media-video/libav-10:0= required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    media-video/libav:0/11=[encode,sdl,x264,mp3,theora] required by (media-video/openshot-1.4.3-r2:0/0::toobit, installed)
    media-video/libav:0= required by (media-libs/chromaprint-1.2:0/0::gentoo, installed)
    media-video/libav:0=[vaapi] required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    media-video/libav:0= required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    media-video/libav:0= required by (media-libs/xine-lib-1.2.6-r1:1/1::gentoo, installed)
    media-video/libav:0/11= required by (media-libs/xine-lib-1.2.6-r1:1/1::gentoo, installed)
    media-video/libav:=[encode,sdl,x264,mp3,theora] required by (media-video/openshot-1.4.3-r2:0/0::toobit, installed)
    media-video/libav:0/11=[vaapi] required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    media-video/libav:0/11= required by (media-libs/chromaprint-1.2:0/0::gentoo, installed)
    >=media-video/libav-10:0/11= required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    >=media-video/libav-11:0/11= required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    >=media-video/libav-9.12[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/libav-9.12[abi_x86_32(-),abi_x86_64(-),X,encode,gsm,jpeg2k,mp3,sdl,speex,theora,threads,truetype,vaapi,vdpau,x264]) required by (virtual/ffmpeg-9-r2:0/0::gentoo, installed)
    media-video/libav:0/11= required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    >=media-video/libav-11:0= required by (media-video/vlc-2.2.4:0/5-8::gentoo, installed)
    >=media-video/libav-0.8.2-r2:0= required by (media-libs/libpostproc-10.20140517-r1:0/0::gentoo, installed)
    >=media-video/libav-0.8.2-r2:0/11= required by (media-libs/libpostproc-10.20140517-r1:0/0::gentoo, installed)

  (media-video/ffmpeg-2.8.6:0/54.56.56::gentoo, ebuild scheduled for merge) pulled in by
    media-video/ffmpeg:0= required by (media-libs/opencv-2.4.12-r1:0/2.4::gentoo, ebuild scheduled for merge)

  (media-libs/libpostproc-10.20140517-r1:0/0::gentoo, installed) pulled in by
    media-libs/libpostproc:0/0= required by (media-libs/xine-lib-1.2.6-r1:1/1::gentoo, installed)
    media-libs/libpostproc:0= required by (media-libs/xine-lib-1.2.6-r1:1/1::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


!!! The following installed packages are masked:
- dev-lang/python-3.3.5-r8::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Mike Gilbert <floppym@gentoo.org> (03 Sep 2016)
# Python 3.3 will be removed from Gentoo in 30 days.
# dev-lang/python:3.3 will be available in the python overlay.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


real    5m17.246s
user    5m10.667s
sys     0m2.896s
Comment 5 Nolan Eakins 2016-10-27 18:15:02 UTC
Here's some emerge output to consider. Initially I tried @world, then gnuradio, then gr-iqbal. I was trying to pare down the update using --exclude until I saw GNU Radio's full version in the SLOT. Really I don't what the problem is. Whatever it is, I can't get emerge happy with gnuradio and/or gr-iqbal and thus I can't update, nevermind the other packages with this is exact same problem. gnuradio can get axed easier than libxcb.
Comment 6 Brian Evans Gentoo Infrastructure gentoo-dev 2016-10-27 20:09:48 UTC
(In reply to Nolan Eakins from comment #3)
> Created attachment 451658 [details]
> emerge -uDpv net-wireless/gnuradio
> 

Incomplete upgrade graph.. and you have blockers:
Conflict: 9 blocks (2 unsatisfied)

You MUST fix blocks before considering slot conflicts.(In reply to Nolan Eakins from comment #4)

> Created attachment 451660 [details]
> emerge -uDpv net-wireless/gr-iqbal
> 
> TTY output, hope I clipping these right. Ignore the libav/ffmpeg stuff.
> Switching back to ffmpeg because of qtwebengine.

You cannot ignore the "libav/ffmpeg stuff" because packages are thrown out of the dependency graph when they cannot be merged.

(In reply to Nolan Eakins from comment #5)
> Here's some emerge output to consider. Initially I tried @world, then
> gnuradio, then gr-iqbal. I was trying to pare down the update using
> --exclude until I saw GNU Radio's full version in the SLOT. Really I don't
> what the problem is. Whatever it is, I can't get emerge happy with gnuradio
> and/or gr-iqbal and thus I can't update, nevermind the other packages with
> this is exact same problem. gnuradio can get axed easier than libxcb.

You obviously have a very stale install and have not updated in a long time.
Unfortunately, this causes blockers and other considerations.

To get things working, you will need to:
1) fix all the B blockers by setting libav in make.conf USE (there's a news item about this)
2) run 'emerge -avuDN --with-bdeps=y --backtrack=30 @world'

This bug is not valid as there are no differing slots that are the problem.
The subslot rebuilds will be processed when you fix all other issues first.
Comment 7 Brian Evans Gentoo Infrastructure gentoo-dev 2016-10-27 20:15:15 UTC
Please seek further assistance on the forums or #gentoo on Freenode IRC.

Bugs are not the place for support
Comment 8 Nolan Eakins 2016-10-27 20:52:45 UTC
If by stale you mean less than 3 months? It usually takes a month just to run emerge a few dozen times resolving all these issues and I wanted a month of other business, so stale? 

And I was using libav. qtewbengine still wanted to pull in ffmpeg. Thought I'd try that again seeing how I deal with ffmpeg/libav issues regularly even with USE="-ffmpeg libav", and the forums are a conflicting mess as to what to do. Sounded like libav is official, but everyone on the forums and elsewhere in Linux land use ffmpeg.

And what breaks if I go changing gnuradio, gr-iqbal, and those other packages so that SLOT does not use $PV? Noticed a few ebuilds using some get_version function. Perhaps they use semantic versioning which breaks >=version dependencies while $PV in $SLOT? Especially with version numbers with four parts?

And this output from Portage. Here's another bug in my book, because I thought I try running `emerge -epv world` only to get:

These are the packages that would be merged, in order:

Calculating dependencies  .. .... done!

 * IMPORTANT: 9 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


dev-ruby/rdoc:0

  (dev-ruby/rdoc-4.2.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-ruby/rdoc-4.2.1:0/0::gentoo, installed) pulled in by
    >=dev-ruby/rdoc-4.0.1[ruby_targets_ruby22] required by (dev-lang/ruby-2.2.4:2.2/2.2::gentoo, installed)
                          ^^^^^^^^^^^^^^^^^^^
Comment 9 Mike Gilbert gentoo-dev 2016-10-28 12:51:03 UTC
I'm sorry that you are having trouble, but there is no actionable information in this bug report. Seek support in a support channel, and if you find a bug in the process feel free to reopen this.
Comment 10 Nolan Eakins 2016-10-28 14:17:10 UTC
I'd love to include something actionable, but you saw the output of emerge. Not even `emerge -epv world` is printing out a list of packages. Not only that but what it does print makes no sense.

If you want an actionable bug, how about starting with "Portage's output is less than helpful when complaining about SLOTS.", "Portage output is split between stdout and the TTY, instead of stderr, making piping and pasting difficult", and it also seems like PYTHON_TARGETS and RUBY_TARGETS have been getting ignored too. And what about Portage being SLOOOWW? Over 30 minutes just to have `emerge -u` fail. Pick a bug. I'm too busy finding the right incantation of `emerge package` trying to fixing slot conflicts.

emerge worked 2-3 months ago. I took a month or two away because YOLO, did an `emerge --sync`, and was working through these slot conflicts until I noticed $PV in $SLOT or whatever Portage was printing, SUBSLOT?

Thinking. Guess I could put together a clean disk image of my running system.
Comment 11 Sergei Trofimovich gentoo-dev 2016-10-28 14:33:21 UTC
A while ago i've put together how to make sense out of
bizarre subslot conflicts portage reportes:

https://gentoohaskell.wordpress.com/2016/05/08/how-to-deal-with-portage-blockers/

Basically, I suggest using 2 things:
-  --autounmask=n --backtrack=<large-ish-number> @world
- mask all old packages that are reported as a "slot conflict"

Hope that will help to nail douwn the source of blockers.
Comment 12 Nolan Eakins 2016-10-28 15:09:25 UTC
THANK YOU!

But let's analyse:

"Thus the dependencies themselves can’t block upgrade path and error message is misleading." Here's an actionable bug.

Emerge is ran four times. Sure I could use new hardware, but I also have to Raspberry Pis, so there's over an hour making coffee, invoice, or whatever it is you do while emerge spins. Here's another actionable bug.

And this all points in the direction opposite of the dev-op ideal, which pacman and apt are heading, of something like `emerge -u` needing absolutely zero interaction.
Comment 13 Jonas Stein gentoo-dev 2016-11-01 17:05:50 UTC
The gentoo developer need a more precise description of the problem to fix it in a short time.

I think it is important that we collect more information on the problem with the help of the community. 

As soon, as we can name a package and its problem, we should open a new bug and perhaps link it here.

We can not help you efficiently via bug tracker. The bug tracker aims rather on specific problems in .ebuilds and less on individual systems. 

There is a good link collection for gentoo support [0].

I have had very good experience on the gentoo IRC [1] with questions like this. Of course there are also forums and mailing lists.
I hope you understand, that I will close the bug here therefore and wish you good luck on one of the mentioned channels.

[0] https://www.gentoo.org/support/
[1] https://www.gentoo.org/get-involved/irc-channels/
[2] http://unix.stackexchange.com/questions/tagged/gentoo?sort=votes&pageSize=15
[3] https://forums.gentoo.org/
[4] https://www.gentoo.org/get-involved/mailing-lists/all-lists.html